// Licensed Materials - Property of IBM
// (C) Copyright IBM Corp. 2004, 2004.  All Rights Reserved.
//
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//

#include "StdAfx.h"
#include "ReqProGUIAppWrapperJNI.h"
#include "CReqProGUIAppWrapper.h"

JNIEXPORT jlong JNICALL Java_com_ibm_xtools_reqpro_reqproguiappwrapper_ReqProGUIAppWrapper_Create(
    JNIEnv* env, jclass)
{
    CComObject<CReqProGUIAppWrapper>* wrapper_obj;
    CHRT(CComObject<CReqProGUIAppWrapper>::CreateInstance(&wrapper_obj));
    wrapper_obj->CreateGUIApp();
    ReqProGUIAppWrapperLib::IReqProGUIAppWrapper* wrapper = 0;
    CHRT(wrapper_obj->QueryInterface(
        __uuidof(ReqProGUIAppWrapperLib::IReqProGUIAppWrapper), (void**)&wrapper));
    return (jlong)wrapper;
}

JNIEXPORT jlong JNICALL Java_com_ibm_xtools_reqpro_reqproguiappwrapper_ReqProGUIAppWrapper_CreateEx(
    JNIEnv* env, jclass, jlong cppPtr)
{
    CComObject<CReqProGUIAppWrapper>* wrapper_obj;
    CHRT(CComObject<CReqProGUIAppWrapper>::CreateInstance(&wrapper_obj));
    wrapper_obj->SetGUIApp(cppPtr);
    ReqProGUIAppWrapperLib::IReqProGUIAppWrapper* wrapper = 0;
    CHRT(wrapper_obj->QueryInterface(
        __uuidof(ReqProGUIAppWrapperLib::IReqProGUIAppWrapper), (void**)&wrapper));
    return (jlong)wrapper;
}
